Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Interface Extent<T>

All Known Implementing Classes:
  DelegatingExtent, ExtentImpl

    public interface Extent<T>

Representation of all members of a persistent class.

Author:
  Abe White, Patrick Linskey

Method Summary
`void` | `closeAll()` Close all open iterators.
`Broker` | `getBroker()` The broker that generated the extent.
`Class<T>` | `getElementType()` The class of extent elements.
`FetchConfiguration` | `getFetchConfiguration()` Return the (mutable) fetch configuration for this extent.
`boolean` | `getIgnoreChanges()` Whether this extent will ignore changes made in the current transaction.
`boolean` | `hasSubclasses()` Whether the extent includes subclasses.
`Iterator<T>` | `iterator()` Return an iterator over the extent members.
`List<T>` | `list()` Returns a list of all objects represented by this extent.
`void` | `lock()` Synchronizes on an internal lock.
`void` | `setIgnoreChanges(boolean ignoreChanges)` Whether this extent will ignore changes made in the current transaction.
`void` | `unlock()` Release the internal lock.

Method Detail

### getFetchConfiguration

    FetchConfiguration getFetchConfiguration()

  Return the (mutable) fetch configuration for this extent.

### getIgnoreChanges

    boolean getIgnoreChanges()

  Whether this extent will ignore changes made in the current transaction.

### setIgnoreChanges

    void setIgnoreChanges(boolean ignoreChanges)

  Whether this extent will ignore changes made in the current transaction.

### list

    List<T> list()

  Returns a list of all objects represented by this extent. This method creates a `List` by traversing the entire iterator returned by a call to `iterator()`. This means that `Collection.size()` will work correctly, but if the extent represents a large data set, this method may be quite slow and may consume quite a bit of memory.

### iterator

    Iterator<T> iterator()

  Return an iterator over the extent members.

### getBroker

    Broker getBroker()

  The broker that generated the extent.

### getElementType

    Class<T> getElementType()

  The class of extent elements.

### hasSubclasses

    boolean hasSubclasses()

  Whether the extent includes subclasses.

### closeAll

    void closeAll()

  Close all open iterators.

### lock

    void lock()

  Synchronizes on an internal lock.

### unlock

    void unlock()

  Release the internal lock.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.